package com.yuchen.saas.park.api.vo.property;

import com.thinkunion.park.service.common.utils.AmtUtil;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 预存款抵扣欠费
 */
@Data
public class PropertyPrepaymentDeductVo {

    /**
     * 总可用余额
     */
    private Long totalBalanceAmtFen;
    public BigDecimal getTotalBalanceAmt() {
        return AmtUtil.fenToYuan(this.totalBalanceAmtFen);
    }

    /**
     * 欠费账单金额
     */
    private Long arrearsAmtFen;
    public BigDecimal getArrearsAmt() {
        return AmtUtil.fenToYuan(this.arrearsAmtFen);
    }

    /**
     * 欠费列表
     */
    List<PropertyPrepaymentDeductListVo> deductListVoList = new ArrayList<>();

    /**
     * 实际抵扣金额
     */
    private long deductAmtFen;
    public BigDecimal getDeductAmt() {
        return AmtUtil.fenToYuan(this.deductAmtFen);
    }

}
